package com.cmx.wanhui.retrofit

class ApiResponse<T> {
    /**
     * network request error response
     */
    interface ErrorListener {
        fun onErrorResponse(requestError: Throwable?)
    }

    /**
     * network request success response result
     * @param <T> data result
    </T> */
    interface Listener<T> {
        fun onResponse(result: T)
    }
}