package com.cmx.wanhui.service;

import android.app.Notification;
import android.content.Context;
import android.text.TextUtils;
import android.util.Log;

import com.lsxiao.apollo.core.Apollo;
import com.lsxiao.apollo.core.contract.ApolloBinder;

import cn.jpush.android.api.CustomMessage;
import cn.jpush.android.api.JPushMessage;
import cn.jpush.android.api.NotificationMessage;
import cn.jpush.android.service.JPushMessageReceiver;

/**
 * @author lyh
 */
public class MyJpushReceiver extends JPushMessageReceiver {
    private static final String TAG = "自定义消息";


    @Override
    public Notification getNotification(Context context, NotificationMessage notificationMessage) {
        Log.e("getNotification", "getNotification");
        return null;
    }


    @Override
    public void onMessage(Context context, CustomMessage customMessage) {
        //c.a().a(context, var2);
        String extra = customMessage.extra;
        Log.e("融云自定义消息", extra);
        Log.e("融云自定义消息Id", customMessage.messageId);
        //        if (!TextUtils.isEmpty(extra)) {
        //            try {
        //                MsgExtraBean bean = new Gson().fromJson(extra, MsgExtraBean.class);
        //                MsgExtraDetBean beanDet = new Gson().fromJson(bean.getMsg(), MsgExtraDetBean.class);
        //                Apollo.emit(Events.JPUSH_MSG, new MsgDetBean(customMessage.messageId, "1", beanDet.getExtras().getClinicId()));
        //
        //            } catch (Exception e) {
        //                Log.e("3333", "3333");
        //            }
        //        }
        //
        //        if (!TextUtils.isEmpty(extra)) {
        //            Gson gson = new Gson();
        //            RtcInUserBean jpushRongcloudMessage = gson.fromJson(extra, RtcInUserBean.class);
        //            String appPackageName = RxAppTool.getAppPackageName(context);
        //            int operatingStatus = AppContext.operatingStatus(context, appPackageName, appPackageName + ".ui.MainActivity");
        //            if (0 == operatingStatus) {
        //                //APP不存在
        //                Log.d("我是APP", "我不运行");
        //                Intent launchIntent = context.getPackageManager().getLaunchIntentForPackage(RxAppTool.getAppPackageName(context));
        //                launchIntent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK | Intent.FLAG_ACTIVITY_RESET_TASK_IF_NEEDED);
        //                context.startActivity(launchIntent);
        //            } else if (1 == operatingStatus) {
        //                //前台运行
        //
        //            } else if (2 == operatingStatus) {
        //                //前台运行
        //
        //            } else if (3 == operatingStatus) {
        //                //后台运行
        //                Log.d("我是APP", "我在后台运行");
        //                Intent mainIntent = new Intent(context, MainActivity.class);
        //                //将MainAtivity的launchMode设置成SingleTask, 或者在下面flag中加上Intent.FLAG_CLEAR_TOP,
        //                //如果Task栈中有MainActivity的实例，就会把它移到栈顶，把在它之上的Activity都清理出栈，
        //                //如果Task栈不存在MainActivity实例，则在栈顶创建
        //                mainIntent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
        //                context.startActivity(mainIntent);
        //            }
        //        }
    }

    @Override
    public void onNotifyMessageOpened(Context context, NotificationMessage notificationMessage) {
        //        Apollo.emit(Events.JPUSH_MSG_CLICK, notificationMessage.msgId);
        //        Log.e("onNotifyMessageOpened", notificationMessage.toString());

    }

    @Override
    public void onNotifyMessageArrived(Context context, NotificationMessage notificationMessage) {
        Log.e("onNotifyMessageArrived", "onNotifyMessageArrived");
        //收到消息
        ApolloBinder bind = Apollo.bind(context);
        //c.a().a(context, notificationMessage, "cn.jpush.android.intent.NOTIFICATION_RECEIVED");
        String notificationExtras = notificationMessage.notificationExtras;
        //if (notificationExtras.indexOf("com.smxy.demo.push.doamin.Invitation") >= 0) {
        if (!TextUtils.isEmpty(notificationExtras)) {
            //Apollo.emit(Events.JPUSH_INVITATION_MESSAGE, jpushInvitationNoticeData);
        }
        if (bind != null) {
            bind.unbind();
        }
    }

    @Override
    public void onAliasOperatorResult(Context context, JPushMessage jPushMessage) {
        super.onAliasOperatorResult(context, jPushMessage);
        Log.e("onAliasOperatorResult: ", "onAliasOperatorResult");
    }
}
