package com.cmx.wanhui.ui

import android.os.Bundle
import android.util.Log
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.webkit.ValueCallback
import com.cmx.wanhui.R
import com.cmx.wanhui.constant.Events
import com.cmx.wanhui.model.QRBean
import com.cmx.wanhui.utils.L.Companion.e
import com.google.gson.Gson
import com.lsxiao.apollo.core.Apollo
import com.lsxiao.apollo.core.annotations.Receive
import kotlinx.android.synthetic.main.fragment_notifications.wv_mine

class PersonalFragment : BaseFragment() {

    override fun onCreateView(inflater: LayoutInflater, container: ViewGroup?, savedInstanceState: Bundle?): View? {
        return inflater.inflate(R.layout.fragment_notifications, container, false)
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        setWebView(wv_mine!!)
        wv_mine!!.loadUrl(Events.WEB_MY_URL)
        //wv_mine!!.webChromeClient = PQChromeClient()
    }


    /**
     * 二维码扫描返回
     */
    @Receive(Events.JS_OPEN_SCANQR_BACK)
    fun onQRBack(msg: String) {
        val mQRBean = QRBean()
        mQRBean.msg = msg
        val ms = Gson().toJson(mQRBean)
        val jsString = "javascript:window.onQRBack($ms)"
        e("JS二维码扫描返回>>>>", "$ms<<>>$jsString")
        wv_mine!!.evaluateJavascript(jsString, ValueCallback<String?> { })
    }

    /**
     * web返回
     */
    @Receive(Events.JS_OPEN_WEB_BACK)
    fun webBack() {
        if (wv_mine!!.canGoBack()) {
            wv_mine!!.goBack()
        } else {
            Apollo.emit(Events.JS_OPEN_WEB_BACK_EXIT)
        }
    }
}